declare @uid varchar(500)
declare @guifuncionalidadpadre int
declare @guifuncionalidad int
declare @perfil int
select @perfil=id from seg_perfil where perfil='Proveedor' and paraProveedor = 1
select @uid=uid from seg_usuario where id=1
select @guifuncionalidadpadre=id from gui_funcionalidad where url='/forms/doc/doc_documento_ot.aspx' and id_tipoFuncionalidad=3 and nombreControl='doc_documento_ot'

/*permiso formulario OTS Boton-reportar*/
select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=2 and  id_funcionalidad=@guifuncionalidadpadre and url='/forms/ort/ort_reporteTecnico.aspx' and nombreComando='reportar'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end

/*permiso formulario OTS Editar OT*/
select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=5 and  id_funcionalidad=@guifuncionalidadpadre and nombreComando='editar'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end